Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(2)

Issue 9157044: code review 9157044: syscall: fix prototype of Fchflags (API change) (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years, 9 months ago by minux1
Modified:
2 weeks, 3 days ago
Reviewers:
r, ciracema238, iant
CC:
golang-dev, iant, r, rsc1
Visibility:
Public.

Description

syscall: fix prototype of Fchflags (API change) API change, but the old API is obviously wrong.

Patch Set 1 #

Patch Set 2 : diff -r a5b289c0f5fb https://code.google.com/p/go/ #

Patch Set 3 : diff -r a5b289c0f5fb https://code.google.com/p/go/ #

Patch Set 4 : diff -r a5b289c0f5fb https://code.google.com/p/go/ #

Patch Set 5 : diff -r 987b23a69416 https://code.google.com/p/go #

Total comments: 2

Patch Set 6 : diff -r 987b23a69416 https://code.google.com/p/go #

Patch Set 7 : diff -r 987b23a69416 https://code.google.com/p/go #

Total comments: 1

Patch Set 8 : diff -r 987b23a69416 https://code.google.com/p/go #

Patch Set 9 : diff -r 17c26220ac96 https://code.google.com/p/go/ #

Unified diffs Side-by-side diffs Delta from patch set Stats (+35 lines, -61 lines) Patch
M api/except.txt View 1 2 1 chunk +6 lines, -0 lines 0 comments Download
M doc/go1.1.html View 1 2 3 4 5 6 7 1 chunk +9 lines, -1 line 0 comments Download
M src/pkg/syscall/syscall_darwin.go View 1 1 chunk +1 line, -1 line 0 comments Download
M src/pkg/syscall/syscall_freebsd.go View 1 1 chunk +1 line, -1 line 0 comments Download
M src/pkg/syscall/syscall_netbsd.go View 1 1 chunk +1 line, -1 line 0 comments Download
M src/pkg/syscall/syscall_openbsd.go View 1 1 chunk +1 line, -1 line 0 comments Download
M src/pkg/syscall/zsyscall_darwin_386.go View 1 1 chunk +2 lines, -7 lines 0 comments Download
M src/pkg/syscall/zsyscall_darwin_amd64.go View 1 1 chunk +2 lines, -7 lines 0 comments Download
M src/pkg/syscall/zsyscall_freebsd_386.go View 1 1 chunk +2 lines, -7 lines 0 comments Download
M src/pkg/syscall/zsyscall_freebsd_amd64.go View 1 1 chunk +2 lines, -7 lines 0 comments Download
M src/pkg/syscall/zsyscall_netbsd_386.go View 1 1 chunk +2 lines, -7 lines 0 comments Download
M src/pkg/syscall/zsyscall_netbsd_amd64.go View 1 1 chunk +2 lines, -7 lines 0 comments Download
M src/pkg/syscall/zsyscall_openbsd_386.go View 1 1 chunk +2 lines, -7 lines 0 comments Download
M src/pkg/syscall/zsyscall_openbsd_amd64.go View 1 1 chunk +2 lines, -7 lines 0 comments Download

Messages

Total messages: 14
minux1
Hello golang-dev@googlegroups.com (cc: golang-dev@googlegroups.com), I'd like you to review this change to https://code.google.com/p/go/
9 years, 9 months ago (2013-05-03 09:10:20 UTC) #1
minux1
I'd like to get this in before Go 1.1, because: 1. it fixes a broken ...
9 years, 9 months ago (2013-05-03 09:13:11 UTC) #2
iant
LGTM Please also add a note to doc/go1.1.html. Wait for r.
9 years, 9 months ago (2013-05-03 13:15:32 UTC) #3
minux1
On 2013/05/03 13:15:32, iant wrote: > Please also add a note to doc/go1.1.html. Done. PTAL.
9 years, 9 months ago (2013-05-03 14:35:15 UTC) #4
r
https://codereview.appspot.com/9157044/diff/13001/doc/go1.1.html File doc/go1.1.html (right): https://codereview.appspot.com/9157044/diff/13001/doc/go1.1.html#newcode1026 doc/go1.1.html:1026: The <a href="/pkg/syscall/"><code>syscall</code></a> package's <a href="/pkg/syscall/#Fchflags"><code>Fchflags</code></a> function on various ...
9 years, 9 months ago (2013-05-03 14:42:22 UTC) #5
minux1
PTAL. https://codereview.appspot.com/9157044/diff/13001/doc/go1.1.html File doc/go1.1.html (right): https://codereview.appspot.com/9157044/diff/13001/doc/go1.1.html#newcode1026 doc/go1.1.html:1026: The <a href="/pkg/syscall/"><code>syscall</code></a> package's <a href="/pkg/syscall/#Fchflags"><code>Fchflags</code></a> function on ...
9 years, 9 months ago (2013-05-03 15:00:26 UTC) #6
r
LGTM https://codereview.appspot.com/9157044/diff/21001/doc/go1.1.html File doc/go1.1.html (right): https://codereview.appspot.com/9157044/diff/21001/doc/go1.1.html#newcode1029 doc/go1.1.html:1029: It now takes an int as the first ...
9 years, 9 months ago (2013-05-03 15:24:14 UTC) #7
rsc
I thought we were committed to keeping the old APIs even in the case of ...
9 years, 9 months ago (2013-05-03 16:01:48 UTC) #8
r
I've been taking the "Bugs" clause to cover this case, but on rereading it's not ...
9 years, 9 months ago (2013-05-03 16:58:48 UTC) #9
minux1
On Sat, May 4, 2013 at 12:01 AM, Russ Cox <rsc@golang.org> wrote: > I thought ...
9 years, 9 months ago (2013-05-03 17:06:26 UTC) #10
iant
On Fri, May 3, 2013 at 9:01 AM, Russ Cox <rsc@golang.org> wrote: > I thought ...
9 years, 9 months ago (2013-05-03 17:56:54 UTC) #11
r
Please check this in. -rob
9 years, 9 months ago (2013-05-06 20:12:42 UTC) #12
minux1
*** Submitted as https://code.google.com/p/go/source/detail?r=34b8901146ac *** syscall: fix prototype of Fchflags (API change) API change, but ...
9 years, 9 months ago (2013-05-06 21:20:19 UTC) #13
ciracema238
2 weeks, 3 days ago (2023-01-16 03:17:43 UTC) #14
Message was sent while issue was closed.

          
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b